### Method

# FwupdPlugin Firmware add_magic

#### Declaration [src]

    void
    fu_firmware_add_magic (
      FuFirmware* self,
      const guint8* buf,
      gsize bufsz,
      gsize offset
    )

#### Description [src]

Adds a possible magic signature to the image.

Available since: | 2.0.18

#### Parameters

`buf` | `const guint8*`
| Some data.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| Sizeof `buf`.
`offset` | `gsize`
| Offset to start parsing, typically 0x0